Run an audit pass: scan the domain's key pages, refresh page_scans, file findings
POST
/v1/audit/run
const url = 'https://api.monita.ai/v1/audit/run';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"domainId":"example","paths":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monita.ai/v1/audit/run \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "domainId": "example", "paths": [ "example" ] }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
domainId
required
string
paths
Array<string>
Examplegenerated
{ "domainId": "example", "paths": [ "example" ]}Responses
Section titled “Responses”OK
Media typeapplication/json
object
scanned
required
number
errors
required
number
issuesFiled
required
number
Examplegenerated
{ "scanned": 1, "errors": 1, "issuesFiled": 1}Not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Browser Rendering unavailable
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}